---
- name: Create a system user
  user:
    name: "{{ username }}"
    shell: /bin/bash
    groups: "sudo,www-data,adm,staff"
    home: "/home/{{ username }}"
    generate_ssh_key: yes
    ssh_key_bits: 2048
    ssh_key_file: .ssh/id_rsa
    password: "{{ password }}"

- name: Set up authorized_keys for {{ username }}
  authorized_key:
    user: "{{ username }}"
    key:  "https://s3.eu-central-1.wasabisys.com/dropcube/sshkeys/{{ item }}.pub"
  with_items:
    - alexandre
    - tom

- name: Set up authorized_keys for root user
  authorized_key:
    user: root
    key:  "https://s3.eu-central-1.wasabisys.com/dropcube/sshkeys/{{ item }}.pub"
  with_items:
    - alexandre
    - tom
